Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.rf.ats.services.integration.webserv
Class WebAPI

    java.lang.Object
      com.rf.ats.services.integration.webserv.WebAPI

All Implemented Interfaces:
  IWebAPI, java.rmi.Remote

public class WebAPI
extends java.lang.Object
implements IWebAPI

Constructor Summary
`WebAPI()`

Method Summary
`long` | `createAccount(java.lang.String in0, AccountBean in1)`
`long` | `createBackgroundCheck(java.lang.String in0, BackgroundCheckBean in1)`
`long` | `createCandidate(java.lang.String in0, CandidateBean in1)`
`long` | `createContact(java.lang.String in0, ContactBean in1)`
`long` | `createContactLog(java.lang.String in0, ContactLogBean in1)`
`long` | `createEmailLog(java.lang.String in0, java.lang.String in1, java.lang.String in2, java.lang.String in3, java.util.Calendar in4)`
`long` | `createEvent(java.lang.String in0, CalendarEventBean in1)`
`long` | `createInterview(java.lang.String in0, InterviewBean in1)`
`long` | `createOffer(java.lang.String in0, OfferBean in1)`
`long` | `createReference(java.lang.String in0, ReferenceBean in1)`
`long` | `createRequisition(java.lang.String in0, RequisitionBean in1)`
`long` | `createTask(java.lang.String in0, TaskBean in1)`
`long` | `createUser(java.lang.String in0, UserBean in1)`
`void` | `deleteAccount(java.lang.String in0, long in1)`
`void` | `deleteBackgroundCheck(java.lang.String in0, long in1)`
`void` | `deleteCandidate(java.lang.String in0, long in1)`
`void` | `deleteContact(java.lang.String in0, long in1)`
`void` | `deleteContactLog(java.lang.String in0, long in1)`
`void` | `deleteEvent(java.lang.String in0, long in1)`
`void` | `deleteInterview(java.lang.String in0, long in1)`
`void` | `deleteOffer(java.lang.String in0, long in1)`
`void` | `deleteReference(java.lang.String in0, long in1)`
`void` | `deleteRequisition(java.lang.String in0, long in1)`
`void` | `deleteTask(java.lang.String in0, long in1)`
`void` | `deleteUser(java.lang.String in0, long in1)`
`AccountBean` | `getAccountById(java.lang.String in0, long in1)`
`HistoryBeanArr` | `getAccountHistory(java.lang.String in0, long in1)`
`LongArr` | `getAssociatedUsers(java.lang.String in0, long in1, java.lang.String in2)`
`BackgroundCheckBean` | `getBackgroundCheckById(java.lang.String in0, long in1)`
`LongArr` | `getBackgroundChecksByCandidate(java.lang.String in0, long in1)`
`ByteArr` | `getBinaryOffer(java.lang.String in0, long in1)`
`ByteArr` | `getBinaryResume(java.lang.String in0, long in1)`
`CandidateBean` | `getCandidateById(java.lang.String in0, long in1)`
`HistoryBeanArr` | `getCandidateHistory(java.lang.String in0, long in1)`
`LongArr` | `getCandidatesByRequisition(java.lang.String in0, long in1)`
`java.lang.String` | `getCandReqStatus(java.lang.String in0, long in1, long in2)`
`ContactBean` | `getContactById(java.lang.String in0, long in1)`
`HistoryBeanArr` | `getContactHistory(java.lang.String in0, long in1)`
`ContactLogBean` | `getContactLogById(java.lang.String in0, long in1)`
`LongArr` | `getContactLogsByEntity(java.lang.String in0, java.lang.String in1, long in2)`
`LongArr` | `getEventByEntity(java.lang.String in0, java.lang.String in1, long in2)`
`CalendarEventBean` | `getEventById(java.lang.String in0, long in1)`
`InterviewBean` | `getInterviewById(java.lang.String in0, long in1)`
`LongArr` | `getInterviewsByCandidate(java.lang.String in0, long in1)`
`OfferBean` | `getOfferById(java.lang.String in0, long in1)`
`LongArr` | `getOffers(java.lang.String in0, long in1)`
`LongArr` | `getPublicEvents(java.lang.String in0, java.util.Calendar in1, java.util.Calendar in2)`
`ReferenceBean` | `getReferenceById(java.lang.String in0, long in1)`
`LongArr` | `getReferencesByCandidate(java.lang.String in0, long in1)`
`RequisitionBean` | `getRequisitionById(java.lang.String in0, long in1)`
`HistoryBeanArr` | `getRequisitionHistory(java.lang.String in0, long in1)`
`LongArr` | `getRequisitions(java.lang.String in0, long in1)`
`java.util.HashMap` | `getSystemProps(java.lang.String in0)`
`LongArr` | `getTaskByEntity(java.lang.String in0, java.lang.String in1, long in2)`
`TaskBean` | `getTaskById(java.lang.String in0, long in1)`
`LongArr` | `getTaskByUser(java.lang.String in0, long in1, java.util.Calendar in2, java.util.Calendar in3)`
`UserBean` | `getUserById(java.lang.String in0, long in1)`
`HistoryBeanArr` | `getUserHistory(java.lang.String in0, long in1)`
`java.lang.String` | `login(java.lang.String in0, java.lang.String in1, java.lang.String in2)`
`void` | `logout(java.lang.String in0)`
`void` | `removeAssociatedUser(java.lang.String in0, long in1, java.lang.String in2, long in3)`
`void` | `removeCandidate(java.lang.String in0, long in1, long in2)`
`SearchResultArr` | `searchAccount(java.lang.String in0, java.util.HashMap in1)`
`SearchResultArr` | `searchCandidate(java.lang.String in0, java.util.HashMap in1)`
`SearchResultArr` | `searchContact(java.lang.String in0, java.util.HashMap in1)`
`SearchResultArr` | `searchRequisition(java.lang.String in0, java.util.HashMap in1)`
`SearchResultArr` | `searchUser(java.lang.String in0, java.util.HashMap in1)`
`void` | `setAssociatedUser(java.lang.String in0, long in1, java.lang.String in2, long in3, int in4)`
`void` | `setBinaryOffer(java.lang.String in0, long in1, java.lang.String in2, ByteArr in3)`
`void` | `setBinaryResume(java.lang.String in0, long in1, java.lang.String in2, ByteArr in3)`
`void` | `submitCandidate(java.lang.String in0, long in1, LongArr in2)`
`void` | `updateAccount(java.lang.String in0, AccountBean in1)`
`void` | `updateBackgroundCheck(java.lang.String in0, BackgroundCheckBean in1)`
`void` | `updateCandidate(java.lang.String in0, CandidateBean in1)`
`void` | `updateContact(java.lang.String in0, ContactBean in1)`
`void` | `updateContactLog(java.lang.String in0, ContactLogBean in1)`
`void` | `updateEvent(java.lang.String in0, CalendarEventBean in1)`
`void` | `updateInterview(java.lang.String in0, InterviewBean in1)`
`void` | `updateOffer(java.lang.String in0, OfferBean in1)`
`void` | `updateReference(java.lang.String in0, ReferenceBean in1)`
`void` | `updateRequisition(java.lang.String in0, RequisitionBean in1)`
`void` | `updateTask(java.lang.String in0, TaskBean in1)`
`void` | `updateUser(java.lang.String in0, UserBean in1)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WebAPI

    public WebAPI()

Method Detail

### createTask

    public long createTask(java.lang.String in0,
                           TaskBean in1)
                    throws java.rmi.RemoteException,
                           WebServicesException

  Specified by:
    `createTask` in interface `IWebAPI`
  Throws:
    `java.rmi.RemoteException`
    `WebServicesException`

### createReference

    public long createReference(java.lang.String in0,
                                ReferenceBean in1)
                         throws java.rmi.RemoteException,
                                WebServicesException

  Specified by:
    `createReference` in interface `IWebAPI`
  Throws:
    `java.rmi.RemoteException`
    `WebServicesException`

### createEvent

    public long createEvent(java.lang.String in0,
                            CalendarEventBean in1)
                     throws java.rmi.RemoteException,
                            WebServicesException

  Specified by:
    `createEvent` in interface `IWebAPI`
  Throws:
    `java.rmi.RemoteException`
    `WebServicesException`

### login

    public java.lang.String login(java.lang.String in0,
                                  java.lang.String in1,
                                  java.lang.String in2)
                           throws java.rmi.RemoteException,
                                  WebServicesException

  Specified by:
    `login` in interface `IWebAPI`
  Throws:
    `java.rmi.RemoteException`
    `WebServicesException`

### logout

    public void logout(java.lang.String in0)
                throws java.rmi.RemoteException,
                       WebServicesException

  Specified by:
    `logout` in interface `IWebAPI`
  Throws:
    `java.rmi.RemoteException`
    `WebServicesException`

### searchAccount

    public SearchResultArr searchAccount(java.lang.String in0,
                                         java.util.HashMap in1)
                                  throws java.rmi.RemoteException,
                                         WebServicesException

  Specified by:
    `searchAccount` in interface `IWebAPI`
  Throws:
    `java.rmi.RemoteException`
    `WebServicesException`

### getAccountById

    public AccountBean getAccountById(java.lang.String in0,
                                      long in1)
                               throws java.rmi.RemoteException,
                                      WebServicesException

  Specified by:
    `getAccountById` in interface `IWebAPI`
  Throws:
    `java.rmi.RemoteException`
    `WebServicesException`

### createAccount

    public long createAccount(java.lang.String in0,
                              AccountBean in1)
                       throws java.rmi.RemoteException,
                              WebServicesException

  Specified by:
    `createAccount` in interface `IWebAPI`
  Throws:
    `java.rmi.RemoteException`
    `WebServicesException`

### updateAccount

    public void updateAccount(java.lang.String in0,
                              AccountBean in1)
                       throws java.rmi.RemoteException,
                              WebServicesException

  Specified by:
    `updateAccount` in interface `IWebAPI`
  Throws:
    `java.rmi.RemoteException`
    `WebServicesException`

### deleteAccount

    public void deleteAccount(java.lang.String in0,
                              long in1)
                       throws java.rmi.RemoteException,
                              WebServicesException

  Specified by:
    `deleteAccount` in interface `IWebAPI`
  Throws:
    `java.rmi.RemoteException`
    `WebServicesException`

### getBackgroundChecksByCandidate

    public LongArr getBackgroundChecksByCandidate(java.lang.String in0,
                                                  long in1)
                                           throws java.rmi.RemoteException,
                                                  WebServicesException

  Specified by:
    `getBackgroundChecksByCandidate` in interface `IWebAPI`
  Throws:
    `java.rmi.RemoteException`
    `WebServicesException`

### getBackgroundCheckById

    public BackgroundCheckBean getBackgroundCheckById(java.lang.String in0,
                                                      long in1)
                                               throws java.rmi.RemoteException,
                                                      WebServicesException

  Specified by:
    `getBackgroundCheckById` in interface `IWebAPI`
  Throws:
    `java.rmi.RemoteException`
    `WebServicesException`

### createBackgroundCheck

    public long createBackgroundCheck(java.lang.String in0,
                                      BackgroundCheckBean in1)
                               throws java.rmi.RemoteException,
                                      WebServicesException

  Specified by:
    `createBackgroundCheck` in interface `IWebAPI`
  Throws:
    `java.rmi.RemoteException`
    `WebServicesException`

### updateBackgroundCheck

    public void updateBackgroundCheck(java.lang.String in0,
                                      BackgroundCheckBean in1)
                               throws java.rmi.RemoteException,
                                      WebServicesException

  Specified by:
    `updateBackgroundCheck` in interface `IWebAPI`
  Throws:
    `java.rmi.RemoteException`
    `WebServicesException`

### deleteBackgroundCheck

    public void deleteBackgroundCheck(java.lang.String in0,
                                      long in1)
                               throws java.rmi.RemoteException,
                                      WebServicesException

  Specified by:
    `deleteBackgroundCheck` in interface `IWebAPI`
  Throws:
    `java.rmi.RemoteException`
    `WebServicesException`

### getEventByEntity

    public LongArr getEventByEntity(java.lang.String in0,
                                    java.lang.String in1,
                                    long in2)
                             throws java.rmi.RemoteException,
                                    WebServicesException

  Specified by:
    `getEventByEntity` in interface `IWebAPI`
  Throws:
    `java.rmi.RemoteException`
    `WebServicesException`

### getPublicEvents

    public LongArr getPublicEvents(java.lang.String in0,
                                   java.util.Calendar in1,
                                   java.util.Calendar in2)
                            throws java.rmi.RemoteException,
                                   WebServicesException

  Specified by:
    `getPublicEvents` in interface `IWebAPI`
  Throws:
    `java.rmi.RemoteException`
    `WebServicesException`

### getEventById

    public CalendarEventBean getEventById(java.lang.String in0,
                                          long in1)
                                   throws java.rmi.RemoteException,
                                          WebServicesException

  Specified by:
    `getEventById` in interface `IWebAPI`
  Throws:
    `java.rmi.RemoteException`
    `WebServicesException`

### updateEvent

    public void updateEvent(java.lang.String in0,
                            CalendarEventBean in1)
                     throws java.rmi.RemoteException,
                            WebServicesException

  Specified by:
    `updateEvent` in interface `IWebAPI`
  Throws:
    `java.rmi.RemoteException`
    `WebServicesException`

### deleteEvent

    public void deleteEvent(java.lang.String in0,
                            long in1)
                     throws java.rmi.RemoteException,
                            WebServicesException

  Specified by:
    `deleteEvent` in interface `IWebAPI`
  Throws:
    `java.rmi.RemoteException`
    `WebServicesException`

### searchCandidate

    public SearchResultArr searchCandidate(java.lang.String in0,
                                           java.util.HashMap in1)
                                    throws java.rmi.RemoteException,
                                           WebServicesException

  Specified by:
    `searchCandidate` in interface `IWebAPI`
  Throws:
    `java.rmi.RemoteException`
    `WebServicesException`

### getCandidateById

    public CandidateBean getCandidateById(java.lang.String in0,
                                          long in1)
                                   throws java.rmi.RemoteException,
                                          WebServicesException

  Specified by:
    `getCandidateById` in interface `IWebAPI`
  Throws:
    `java.rmi.RemoteException`
    `WebServicesException`

### getRequisitions

    public LongArr getRequisitions(java.lang.String in0,
                                   long in1)
                            throws java.rmi.RemoteException,
                                   WebServicesException

  Specified by:
    `getRequisitions` in interface `IWebAPI`
  Throws:
    `java.rmi.RemoteException`
    `WebServicesException`

### getOffers

    public LongArr getOffers(java.lang.String in0,
                             long in1)
                      throws java.rmi.RemoteException,
                             WebServicesException

  Specified by:
    `getOffers` in interface `IWebAPI`
  Throws:
    `java.rmi.RemoteException`
    `WebServicesException`

### createCandidate

    public long createCandidate(java.lang.String in0,
                                CandidateBean in1)
                         throws java.rmi.RemoteException,
                                WebServicesException

  Specified by:
    `createCandidate` in interface `IWebAPI`
  Throws:
    `java.rmi.RemoteException`
    `WebServicesException`

### updateCandidate

    public void updateCandidate(java.lang.String in0,
                                CandidateBean in1)
                         throws java.rmi.RemoteException,
                                WebServicesException

  Specified by:
    `updateCandidate` in interface `IWebAPI`
  Throws:
    `java.rmi.RemoteException`
    `WebServicesException`

### setBinaryResume

    public void setBinaryResume(java.lang.String in0,
                                long in1,
                                java.lang.String in2,
                                ByteArr in3)
                         throws java.rmi.RemoteException,
                                WebServicesException

  Specified by:
    `setBinaryResume` in interface `IWebAPI`
  Throws:
    `java.rmi.RemoteException`
    `WebServicesException`

### getBinaryResume

    public ByteArr getBinaryResume(java.lang.String in0,
                                   long in1)
                            throws java.rmi.RemoteException,
                                   WebServicesException

  Specified by:
    `getBinaryResume` in interface `IWebAPI`
  Throws:
    `java.rmi.RemoteException`
    `WebServicesException`

### submitCandidate

    public void submitCandidate(java.lang.String in0,
                                long in1,
                                LongArr in2)
                         throws java.rmi.RemoteException,
                                WebServicesException

  Specified by:
    `submitCandidate` in interface `IWebAPI`
  Throws:
    `java.rmi.RemoteException`
    `WebServicesException`

### removeCandidate

    public void removeCandidate(java.lang.String in0,
                                long in1,
                                long in2)
                         throws java.rmi.RemoteException,
                                WebServicesException

  Specified by:
    `removeCandidate` in interface `IWebAPI`
  Throws:
    `java.rmi.RemoteException`
    `WebServicesException`

### deleteCandidate

    public void deleteCandidate(java.lang.String in0,
                                long in1)
                         throws java.rmi.RemoteException,
                                WebServicesException

  Specified by:
    `deleteCandidate` in interface `IWebAPI`
  Throws:
    `java.rmi.RemoteException`
    `WebServicesException`

### searchContact

    public SearchResultArr searchContact(java.lang.String in0,
                                         java.util.HashMap in1)
                                  throws java.rmi.RemoteException,
                                         WebServicesException

  Specified by:
    `searchContact` in interface `IWebAPI`
  Throws:
    `java.rmi.RemoteException`
    `WebServicesException`

### getContactById

    public ContactBean getContactById(java.lang.String in0,
                                      long in1)
                               throws java.rmi.RemoteException,
                                      WebServicesException

  Specified by:
    `getContactById` in interface `IWebAPI`
  Throws:
    `java.rmi.RemoteException`
    `WebServicesException`

### createContact

    public long createContact(java.lang.String in0,
                              ContactBean in1)
                       throws java.rmi.RemoteException,
                              WebServicesException

  Specified by:
    `createContact` in interface `IWebAPI`
  Throws:
    `java.rmi.RemoteException`
    `WebServicesException`

### updateContact

    public void updateContact(java.lang.String in0,
                              ContactBean in1)
                       throws java.rmi.RemoteException,
                              WebServicesException

  Specified by:
    `updateContact` in interface `IWebAPI`
  Throws:
    `java.rmi.RemoteException`
    `WebServicesException`

### deleteContact

    public void deleteContact(java.lang.String in0,
                              long in1)
                       throws java.rmi.RemoteException,
                              WebServicesException

  Specified by:
    `deleteContact` in interface `IWebAPI`
  Throws:
    `java.rmi.RemoteException`
    `WebServicesException`

### getCandidateHistory

    public HistoryBeanArr getCandidateHistory(java.lang.String in0,
                                              long in1)
                                       throws java.rmi.RemoteException,
                                              WebServicesException

  Specified by:
    `getCandidateHistory` in interface `IWebAPI`
  Throws:
    `java.rmi.RemoteException`
    `WebServicesException`

### getRequisitionHistory

    public HistoryBeanArr getRequisitionHistory(java.lang.String in0,
                                                long in1)
                                         throws java.rmi.RemoteException,
                                                WebServicesException

  Specified by:
    `getRequisitionHistory` in interface `IWebAPI`
  Throws:
    `java.rmi.RemoteException`
    `WebServicesException`

### getAccountHistory

    public HistoryBeanArr getAccountHistory(java.lang.String in0,
                                            long in1)
                                     throws java.rmi.RemoteException,
                                            WebServicesException

  Specified by:
    `getAccountHistory` in interface `IWebAPI`
  Throws:
    `java.rmi.RemoteException`
    `WebServicesException`

### getContactHistory

    public HistoryBeanArr getContactHistory(java.lang.String in0,
                                            long in1)
                                     throws java.rmi.RemoteException,
                                            WebServicesException

  Specified by:
    `getContactHistory` in interface `IWebAPI`
  Throws:
    `java.rmi.RemoteException`
    `WebServicesException`

### getUserHistory

    public HistoryBeanArr getUserHistory(java.lang.String in0,
                                         long in1)
                                  throws java.rmi.RemoteException,
                                         WebServicesException

  Specified by:
    `getUserHistory` in interface `IWebAPI`
  Throws:
    `java.rmi.RemoteException`
    `WebServicesException`

### getInterviewsByCandidate

    public LongArr getInterviewsByCandidate(java.lang.String in0,
                                            long in1)
                                     throws java.rmi.RemoteException,
                                            WebServicesException

  Specified by:
    `getInterviewsByCandidate` in interface `IWebAPI`
  Throws:
    `java.rmi.RemoteException`
    `WebServicesException`

### getInterviewById

    public InterviewBean getInterviewById(java.lang.String in0,
                                          long in1)
                                   throws java.rmi.RemoteException,
                                          WebServicesException

  Specified by:
    `getInterviewById` in interface `IWebAPI`
  Throws:
    `java.rmi.RemoteException`
    `WebServicesException`

### createInterview

    public long createInterview(java.lang.String in0,
                                InterviewBean in1)
                         throws java.rmi.RemoteException,
                                WebServicesException

  Specified by:
    `createInterview` in interface `IWebAPI`
  Throws:
    `java.rmi.RemoteException`
    `WebServicesException`

### updateInterview

    public void updateInterview(java.lang.String in0,
                                InterviewBean in1)
                         throws java.rmi.RemoteException,
                                WebServicesException

  Specified by:
    `updateInterview` in interface `IWebAPI`
  Throws:
    `java.rmi.RemoteException`
    `WebServicesException`

### deleteInterview

    public void deleteInterview(java.lang.String in0,
                                long in1)
                         throws java.rmi.RemoteException,
                                WebServicesException

  Specified by:
    `deleteInterview` in interface `IWebAPI`
  Throws:
    `java.rmi.RemoteException`
    `WebServicesException`

### getOfferById

    public OfferBean getOfferById(java.lang.String in0,
                                  long in1)
                           throws java.rmi.RemoteException,
                                  WebServicesException

  Specified by:
    `getOfferById` in interface `IWebAPI`
  Throws:
    `java.rmi.RemoteException`
    `WebServicesException`

### createOffer

    public long createOffer(java.lang.String in0,
                            OfferBean in1)
                     throws java.rmi.RemoteException,
                            WebServicesException

  Specified by:
    `createOffer` in interface `IWebAPI`
  Throws:
    `java.rmi.RemoteException`
    `WebServicesException`

### updateOffer

    public void updateOffer(java.lang.String in0,
                            OfferBean in1)
                     throws java.rmi.RemoteException,
                            WebServicesException

  Specified by:
    `updateOffer` in interface `IWebAPI`
  Throws:
    `java.rmi.RemoteException`
    `WebServicesException`

### setBinaryOffer

    public void setBinaryOffer(java.lang.String in0,
                               long in1,
                               java.lang.String in2,
                               ByteArr in3)
                        throws java.rmi.RemoteException,
                               WebServicesException

  Specified by:
    `setBinaryOffer` in interface `IWebAPI`
  Throws:
    `java.rmi.RemoteException`
    `WebServicesException`

### getBinaryOffer

    public ByteArr getBinaryOffer(java.lang.String in0,
                                  long in1)
                           throws java.rmi.RemoteException,
                                  WebServicesException

  Specified by:
    `getBinaryOffer` in interface `IWebAPI`
  Throws:
    `java.rmi.RemoteException`
    `WebServicesException`

### deleteOffer

    public void deleteOffer(java.lang.String in0,
                            long in1)
                     throws java.rmi.RemoteException,
                            WebServicesException

  Specified by:
    `deleteOffer` in interface `IWebAPI`
  Throws:
    `java.rmi.RemoteException`
    `WebServicesException`

### getReferencesByCandidate

    public LongArr getReferencesByCandidate(java.lang.String in0,
                                            long in1)
                                     throws java.rmi.RemoteException,
                                            WebServicesException

  Specified by:
    `getReferencesByCandidate` in interface `IWebAPI`
  Throws:
    `java.rmi.RemoteException`
    `WebServicesException`

### getReferenceById

    public ReferenceBean getReferenceById(java.lang.String in0,
                                          long in1)
                                   throws java.rmi.RemoteException,
                                          WebServicesException

  Specified by:
    `getReferenceById` in interface `IWebAPI`
  Throws:
    `java.rmi.RemoteException`
    `WebServicesException`

### updateReference

    public void updateReference(java.lang.String in0,
                                ReferenceBean in1)
                         throws java.rmi.RemoteException,
                                WebServicesException

  Specified by:
    `updateReference` in interface `IWebAPI`
  Throws:
    `java.rmi.RemoteException`
    `WebServicesException`

### deleteReference

    public void deleteReference(java.lang.String in0,
                                long in1)
                         throws java.rmi.RemoteException,
                                WebServicesException

  Specified by:
    `deleteReference` in interface `IWebAPI`
  Throws:
    `java.rmi.RemoteException`
    `WebServicesException`

### searchRequisition

    public SearchResultArr searchRequisition(java.lang.String in0,
                                             java.util.HashMap in1)
                                      throws java.rmi.RemoteException,
                                             WebServicesException

  Specified by:
    `searchRequisition` in interface `IWebAPI`
  Throws:
    `java.rmi.RemoteException`
    `WebServicesException`

### getRequisitionById

    public RequisitionBean getRequisitionById(java.lang.String in0,
                                              long in1)
                                       throws java.rmi.RemoteException,
                                              WebServicesException

  Specified by:
    `getRequisitionById` in interface `IWebAPI`
  Throws:
    `java.rmi.RemoteException`
    `WebServicesException`

### getCandidatesByRequisition

    public LongArr getCandidatesByRequisition(java.lang.String in0,
                                              long in1)
                                       throws java.rmi.RemoteException,
                                              WebServicesException

  Specified by:
    `getCandidatesByRequisition` in interface `IWebAPI`
  Throws:
    `java.rmi.RemoteException`
    `WebServicesException`

### getAssociatedUsers

    public LongArr getAssociatedUsers(java.lang.String in0,
                                      long in1,
                                      java.lang.String in2)
                               throws java.rmi.RemoteException,
                                      WebServicesException

  Specified by:
    `getAssociatedUsers` in interface `IWebAPI`
  Throws:
    `java.rmi.RemoteException`
    `WebServicesException`

### createRequisition

    public long createRequisition(java.lang.String in0,
                                  RequisitionBean in1)
                           throws java.rmi.RemoteException,
                                  WebServicesException

  Specified by:
    `createRequisition` in interface `IWebAPI`
  Throws:
    `java.rmi.RemoteException`
    `WebServicesException`

### updateRequisition

    public void updateRequisition(java.lang.String in0,
                                  RequisitionBean in1)
                           throws java.rmi.RemoteException,
                                  WebServicesException

  Specified by:
    `updateRequisition` in interface `IWebAPI`
  Throws:
    `java.rmi.RemoteException`
    `WebServicesException`

### setAssociatedUser

    public void setAssociatedUser(java.lang.String in0,
                                  long in1,
                                  java.lang.String in2,
                                  long in3,
                                  int in4)
                           throws java.rmi.RemoteException,
                                  WebServicesException

  Specified by:
    `setAssociatedUser` in interface `IWebAPI`
  Throws:
    `java.rmi.RemoteException`
    `WebServicesException`

### removeAssociatedUser

    public void removeAssociatedUser(java.lang.String in0,
                                     long in1,
                                     java.lang.String in2,
                                     long in3)
                              throws java.rmi.RemoteException,
                                     WebServicesException

  Specified by:
    `removeAssociatedUser` in interface `IWebAPI`
  Throws:
    `java.rmi.RemoteException`
    `WebServicesException`

### deleteRequisition

    public void deleteRequisition(java.lang.String in0,
                                  long in1)
                           throws java.rmi.RemoteException,
                                  WebServicesException

  Specified by:
    `deleteRequisition` in interface `IWebAPI`
  Throws:
    `java.rmi.RemoteException`
    `WebServicesException`

### getTaskByEntity

    public LongArr getTaskByEntity(java.lang.String in0,
                                   java.lang.String in1,
                                   long in2)
                            throws java.rmi.RemoteException,
                                   WebServicesException

  Specified by:
    `getTaskByEntity` in interface `IWebAPI`
  Throws:
    `java.rmi.RemoteException`
    `WebServicesException`

### getTaskByUser

    public LongArr getTaskByUser(java.lang.String in0,
                                 long in1,
                                 java.util.Calendar in2,
                                 java.util.Calendar in3)
                          throws java.rmi.RemoteException,
                                 WebServicesException

  Specified by:
    `getTaskByUser` in interface `IWebAPI`
  Throws:
    `java.rmi.RemoteException`
    `WebServicesException`

### getTaskById

    public TaskBean getTaskById(java.lang.String in0,
                                long in1)
                         throws java.rmi.RemoteException,
                                WebServicesException

  Specified by:
    `getTaskById` in interface `IWebAPI`
  Throws:
    `java.rmi.RemoteException`
    `WebServicesException`

### updateTask

    public void updateTask(java.lang.String in0,
                           TaskBean in1)
                    throws java.rmi.RemoteException,
                           WebServicesException

  Specified by:
    `updateTask` in interface `IWebAPI`
  Throws:
    `java.rmi.RemoteException`
    `WebServicesException`

### deleteTask

    public void deleteTask(java.lang.String in0,
                           long in1)
                    throws java.rmi.RemoteException,
                           WebServicesException

  Specified by:
    `deleteTask` in interface `IWebAPI`
  Throws:
    `java.rmi.RemoteException`
    `WebServicesException`

### searchUser

    public SearchResultArr searchUser(java.lang.String in0,
                                      java.util.HashMap in1)
                               throws java.rmi.RemoteException,
                                      WebServicesException

  Specified by:
    `searchUser` in interface `IWebAPI`
  Throws:
    `java.rmi.RemoteException`
    `WebServicesException`

### getUserById

    public UserBean getUserById(java.lang.String in0,
                                long in1)
                         throws java.rmi.RemoteException,
                                WebServicesException

  Specified by:
    `getUserById` in interface `IWebAPI`
  Throws:
    `java.rmi.RemoteException`
    `WebServicesException`

### createUser

    public long createUser(java.lang.String in0,
                           UserBean in1)
                    throws java.rmi.RemoteException,
                           WebServicesException

  Specified by:
    `createUser` in interface `IWebAPI`
  Throws:
    `java.rmi.RemoteException`
    `WebServicesException`

### updateUser

    public void updateUser(java.lang.String in0,
                           UserBean in1)
                    throws java.rmi.RemoteException,
                           WebServicesException

  Specified by:
    `updateUser` in interface `IWebAPI`
  Throws:
    `java.rmi.RemoteException`
    `WebServicesException`

### deleteUser

    public void deleteUser(java.lang.String in0,
                           long in1)
                    throws java.rmi.RemoteException,
                           WebServicesException

  Specified by:
    `deleteUser` in interface `IWebAPI`
  Throws:
    `java.rmi.RemoteException`
    `WebServicesException`

### getContactLogsByEntity

    public LongArr getContactLogsByEntity(java.lang.String in0,
                                          java.lang.String in1,
                                          long in2)
                                   throws java.rmi.RemoteException,
                                          WebServicesException

  Specified by:
    `getContactLogsByEntity` in interface `IWebAPI`
  Throws:
    `java.rmi.RemoteException`
    `WebServicesException`

### getContactLogById

    public ContactLogBean getContactLogById(java.lang.String in0,
                                            long in1)
                                     throws java.rmi.RemoteException,
                                            WebServicesException

  Specified by:
    `getContactLogById` in interface `IWebAPI`
  Throws:
    `java.rmi.RemoteException`
    `WebServicesException`

### createContactLog

    public long createContactLog(java.lang.String in0,
                                 ContactLogBean in1)
                          throws java.rmi.RemoteException,
                                 WebServicesException

  Specified by:
    `createContactLog` in interface `IWebAPI`
  Throws:
    `java.rmi.RemoteException`
    `WebServicesException`

### createEmailLog

    public long createEmailLog(java.lang.String in0,
                               java.lang.String in1,
                               java.lang.String in2,
                               java.lang.String in3,
                               java.util.Calendar in4)
                        throws java.rmi.RemoteException,
                               WebServicesException

  Specified by:
    `createEmailLog` in interface `IWebAPI`
  Throws:
    `java.rmi.RemoteException`
    `WebServicesException`

### updateContactLog

    public void updateContactLog(java.lang.String in0,
                                 ContactLogBean in1)
                          throws java.rmi.RemoteException,
                                 WebServicesException

  Specified by:
    `updateContactLog` in interface `IWebAPI`
  Throws:
    `java.rmi.RemoteException`
    `WebServicesException`

### deleteContactLog

    public void deleteContactLog(java.lang.String in0,
                                 long in1)
                          throws java.rmi.RemoteException,
                                 WebServicesException

  Specified by:
    `deleteContactLog` in interface `IWebAPI`
  Throws:
    `java.rmi.RemoteException`
    `WebServicesException`

### getSystemProps

    public java.util.HashMap getSystemProps(java.lang.String in0)
                                     throws java.rmi.RemoteException,
                                            WebServicesException

  Specified by:
    `getSystemProps` in interface `IWebAPI`
  Throws:
    `java.rmi.RemoteException`
    `WebServicesException`

### getCandReqStatus

    public java.lang.String getCandReqStatus(java.lang.String in0,
                                             long in1,
                                             long in2)
                                      throws java.rmi.RemoteException,
                                             WebServicesException

  Specified by:
    `getCandReqStatus` in interface `IWebAPI`
  Throws:
    `java.rmi.RemoteException`
    `WebServicesException`

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD